Package org.italiangrid.voms.asn1

# Enum VOMSACGenerator.ACGenerationProperties

java.lang.Object
java.lang.Enum<VOMSACGenerator.ACGenerationProperties>
org.italiangrid.voms.asn1.VOMSACGenerator.ACGenerationProperties

All Implemented Interfaces:
  `Serializable`, `Comparable<VOMSACGenerator.ACGenerationProperties>`, `java.lang.constant.Constable`

Enclosing class:
  `VOMSACGenerator`

public static enum VOMSACGenerator.ACGenerationProperties extends Enum<VOMSACGenerator.ACGenerationProperties>
Enumeration defining various properties that can influence the generation of VOMS Attribute Certificates.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAKE_SIGNATURE_BITS`
Generates fake signature bits instead of signing the certificate with a real key.
`INCLUDE_CRITICAL_AKID_EXTENSION`
Includes the Authority Key Identifier (AKID) extension as a critical extension.
`INCLUDE_CRITICAL_NO_REV_AVAIL_EXTENSION`
Includes the "No Revocation Available" extension as a critical extension.
`INCLUDE_EMPTY_AC_CERTS_EXTENSION`
Includes an empty AC Certs extension in the generated Attribute Certificate.
`INCLUDE_FAKE_CRITICAL_EXTENSION`
Includes a fake critical extension in the generated Attribute Certificate.
`SKIP_AC_CERTS_EXTENSION`
Skips the inclusion of the AC Certs extension in the generated Attribute Certificate.

## Method Summary

Modifier and Type
Method
Description
`static VOMSACGenerator.ACGenerationProperties`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static VOMSACGenerator.ACGenerationProperties[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SKIP_AC_CERTS_EXTENSION

public static final VOMSACGenerator.ACGenerationProperties SKIP_AC_CERTS_EXTENSION
Skips the inclusion of the AC Certs extension in the generated Attribute Certificate.

This extension normally contains the issuer's certificate chain, which may be omitted if the relying party already possesses it.

### FAKE_SIGNATURE_BITS

public static final VOMSACGenerator.ACGenerationProperties FAKE_SIGNATURE_BITS
Generates fake signature bits instead of signing the certificate with a real key.

This is primarily used for testing purposes, as the resulting AC will not be verifiable.

### INCLUDE_FAKE_CRITICAL_EXTENSION

public static final VOMSACGenerator.ACGenerationProperties INCLUDE_FAKE_CRITICAL_EXTENSION
Includes a fake critical extension in the generated Attribute Certificate.

This extension is added for testing scenarios where certificate parsers need to handle unknown critical extensions.

### INCLUDE_CRITICAL_NO_REV_AVAIL_EXTENSION

public static final VOMSACGenerator.ACGenerationProperties INCLUDE_CRITICAL_NO_REV_AVAIL_EXTENSION
Includes the "No Revocation Available" extension as a critical extension.

This extension indicates that no revocation information is available for the AC.

### INCLUDE_CRITICAL_AKID_EXTENSION

public static final VOMSACGenerator.ACGenerationProperties INCLUDE_CRITICAL_AKID_EXTENSION
Includes the Authority Key Identifier (AKID) extension as a critical extension.

The AKID extension helps in linking the AC to its issuer, making it easier for verification systems to locate the issuing certificate.

### INCLUDE_EMPTY_AC_CERTS_EXTENSION

public static final VOMSACGenerator.ACGenerationProperties INCLUDE_EMPTY_AC_CERTS_EXTENSION
Includes an empty AC Certs extension in the generated Attribute Certificate.

This is useful for testing scenarios where the extension is expected but contains no actual certificate information.

## Method Details

### values

public static VOMSACGenerator.ACGenerationProperties[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static VOMSACGenerator.ACGenerationProperties valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null